- Main Page
- Namespaces
- Classes
- Files
- Directories

- Class List
- Class Hierarchy
- Class Members

# LASi::PostscriptDocument::GlyphId Class Reference

For internal use only. More...

`#include <LASi.h>`

List of all members.

## Public Member Functions
| GlyphId ()
| GlyphId (FT_Face, const FT_UInt)
std::string | str () const
| Returns: string representation of glyph id
## Private Attributes
std::string | _str
| Returns: string representation of glyph id
## Friends
bool | operator== (const GlyphId id1, const GlyphId id2)
bool | operator< (const GlyphId id1, const GlyphId id2)

## Detailed Description

For internal use only.

For internal use only.

A unique id for a glyph that is composed of its font face and a unique integer.

## Constructor & Destructor Documentation

LASi::PostscriptDocument::GlyphId::GlyphId | ( |  | ) | `[inline]`

PostscriptDocument::GlyphId::GlyphId | ( | FT_Face | face,
|  | const | FT_UInt |
| ) |  |  |

## Member Function Documentation

std::string LASi::PostscriptDocument::GlyphId::str | ( |  | ) | const`[inline]`

Returns:
  string representation of glyph id

## Friends And Related Function Documentation

bool operator== | ( | const GlyphId | id1,
|  | const GlyphId | id2 |
| ) |  |  | `[friend]`

bool operator< | ( | const GlyphId | id1,
|  | const GlyphId | id2 |
| ) |  |  | `[friend]`

## Member Data Documentation

std::string LASi::PostscriptDocument::GlyphId::_str`[private]`

Returns:
  string representation of glyph id

The documentation for this class was generated from the following files:

- LASi.h
- psDoc.cpp